namespace eldbus { namespace model { 
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Arguments::name_get() const
{
   const char * __return_value =  ::eldbus_model_arguments_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
} } 
namespace eo_cxx {
namespace eldbus { namespace model { 
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Arguments::name_get() const
{
   const char * __return_value =  ::eldbus_model_arguments_name_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline eldbus::model::Arguments::operator ::eldbus::model::Arguments() const { return *static_cast< ::eldbus::model::Arguments const*>(static_cast<void const*>(this)); }
inline eldbus::model::Arguments::operator ::eldbus::model::Arguments&() { return *static_cast< ::eldbus::model::Arguments*>(static_cast<void*>(this)); }
inline eldbus::model::Arguments::operator ::eldbus::model::Arguments const&() const { return *static_cast< ::eldbus::model::Arguments const*>(static_cast<void const*>(this)); }
} } }

